# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Mar 30 10:24:16 2023
# ------------------------------------------------

package:
  name: jupyter_client
  version: 8.1.0
source:
  sha256: 3fbab64100a0dcac7701b1e0f1a4412f1ccb45546ff2ad9bc4fcbe4e19804811
  url: https://pypi.io/packages/source/j/jupyter_client/jupyter_client-8.1.0.tar.gz
build:
  entry_points:
    - jupyter-kernel = jupyter_client.kernelapp:main
    - jupyter-kernelspec = jupyter_client.kernelspecapp:KernelSpecApp.launch_instance
    - jupyter-run = jupyter_client.runapp:RunApp.launch_instance
  number: '0'
  script: /croot/jupyter_client_1680171862562/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py310h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py310h06a4308_0
    - editables 0.3 py310h06a4308_0
    - hatchling 1.8.0 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - packaging 23.0 py310h06a4308_0
    - pathspec 0.10.3 py310h06a4308_0
    - pip 23.0.1 py310h06a4308_0
    - pluggy 1.0.0 py310h06a4308_1
    - python 3.10.10 h7a1cb2a_2
    - readline 8.2 h5eee18b_0
    - setuptools 65.6.3 py310h06a4308_0
    - sqlite 3.41.1 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py310h06a4308_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.38.4 py310h06a4308_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - jupyter_core >=4.12,!=5.0.*
    - python >=3.10,<3.11.0a0
    - python-dateutil >=2.8.2
    - pyzmq >=23.0
    - tornado >=6.2
    - traitlets >=5.3
test:
  imports:
    - jupyter_client
  requires:
    - codecov
    - coverage
    - ipykernel >=6.14
    - mypy
    - pip
    - pre-commit
    - pytest
    - pytest-cov
    - pytest-jupyter-client >=0.4.1
    - pytest-timeout
  source_files:
    - tests
about:
  description: 'jupyter_client contains the reference implementation of the Jupyter
    protocol. It also provides client and kernel management APIs for working with
    kernels.

    It also provides the jupyter kernelspec entrypoint for installing kernelspecs
    for use with Jupyter frontends.

    '
  dev_url: https://github.com/jupyter/jupyter_client
  doc_url: https://jupyter-client.readthedocs.io
  home: https://jupyter.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Jupyter protocol implementation and client libraries.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: da538f7c-6308-411f-84b1-179738ea8db4
  recipe-maintainers:
    - SylvainCorlay
    - bollwyvl
    - carreau
    - davidbrochart
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
  remote_url: git@github.com:AnacondaRecipes/jupyter_client-feedstock.git
  sha: 9df9cab496b706c4c6323aa4f2225f780b5ee3f6
